Add script to publish
authorAryeh Gregor <AryehGregor+gitcommit@gmail.com>
Mon, 12 Sep 2011 15:33:48 -0600
changeset 576 40496360e561
parent 575 8ebb342e7e3a
child 577 6e9d4bc4a2c5
Add script to publish

Now publishing also to dvcs.w3.org.
publish
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/publish	Mon Sep 12 15:33:48 2011 -0600
@@ -0,0 +1,12 @@
+#!/bin/sh
+# This is the script I use on my server to publish the spec.  It's not really
+# useful for anyone else, I just want it in version control somewhere.
+set -e
+cd ~/webroot/spec/editing
+git pull
+git push github
+cd ~/webroot/spec/hg-editing
+hg pull
+hg push https://dvcs.w3.org/hg/editing
+cd ~/webroot/tmp/editing
+git fetch --all